var webpack = require('webpack')
var ExtractTextPlugin = require('extract-text-webpack-plugin')

module.exports = {
  // devtool: '#inline-source-map',
  entry: {
    'fedora-bootstrap': './src/index.js'
  },

  output: {
    path: __dirname+'/dist',
    filename: '[name].js'
  },

  resolve: {
    extensions: ['.js', '.css', 'scss']
  },

  module: {
    loaders: [
      {
        test: /\.js?$/,
        exclude: /node_modules/,
        loaders: ['babel-loader']
      },
      {
        test: /\.scss$/,
        loader: ExtractTextPlugin.extract({
                  fallback: 'style-loader',
                  //resolve-url-loader may be chained before sass-loader if necessary
                  use: ['css-loader', 'sass-loader']
                })
      }
    ]
  },

  plugins: [
    new webpack.NoEmitOnErrorsPlugin(),
    new ExtractTextPlugin('[name].css'),
    new webpack.ProvidePlugin({
      Popper: ['popper.js', 'default']
    })
  ]

}
